glibmm 2.34.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions | List of all members
Gio::ConverterOutputStream Class Reference

ConverterOutputstream - Converter Output Stream. More...

`#include <giomm/converteroutputstream.h>`

Inheritance diagram for Gio::ConverterOutputStream:
[legend]

## Public Member Functions

virtual | ~ConverterOutputStream ()
GConverterOutputStream* | gobj ()
| Provides access to the underlying C GObject.
const GConverterOutputStream* | gobj () const
| Provides access to the underlying C GObject.
GConverterOutputStream* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::RefPtr< Converter > | get_converter ()
| Gets the Converter that is used by converter_stream.
Glib::RefPtr< const Converter > | get_converter () const
| Gets the Converter that is used by converter_stream.
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< Converter > > | property_converter () const
| The converter object.
Public Member Functions inherited from Gio::FilterOutputStream
virtual | ~FilterOutputStream ()
GFilterOutputStream* | gobj ()
| Provides access to the underlying C GObject.
const GFilterOutputStream* | gobj () const
| Provides access to the underlying C GObject.
GFilterOutputStream* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::RefPtr< OutputStream > | get_base_stream ()
| Gets the base stream for the filter stream.
Glib::RefPtr< const OutputStream > | get_base_stream () const
| Gets the base stream for the filter stream.
bool | get_close_base_stream () const
| Returns whether the base stream will be closed when stream is closed.
void | set_close_base_stream (bool close_base=true)
| Sets whether the base stream will be closed when stream is closed.
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< InputStream > > | property_base_stream () const
| The underlying base stream on which the io ops will be done.
Glib::PropertyProxy_ReadOnly < bool > | property_close_base_stream () const
| If the base stream should be closed when the filter stream is closed.
Public Member Functions inherited from Gio::OutputStream
virtual | ~OutputStream ()
GOutputStream* | gobj ()
| Provides access to the underlying C GObject.
const GOutputStream* | gobj () const
| Provides access to the underlying C GObject.
GOutputStream* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
gssize | write (const void* buffer, gsize count, const Glib::RefPtr< Cancellable >& cancellable)
| Tries to write count bytes from buffer into the stream.
gssize | write (const void* buffer, gsize count)
| A write() convenience overload.
gssize | write (const std::string& buffer, const Glib::RefPtr< Cancellable >& cancellable)
| Tries to write count bytes from buffer into the stream.
gssize | write (const std::string& buffer)
| Tries to write count bytes from buffer into the stream.
bool | write_all (const void* buffer, gsize count, gsize& bytes_written, const Glib::RefPtr< Cancellable >& cancellable)
| Tries to write count bytes from buffer into the stream.
bool | write_all (const void* buffer, gsize count, gsize& bytes_written)
| A write_all() convenience overload.
bool | write_all (const std::string& buffer, gsize& bytes_written, const Glib::RefPtr< Cancellable >& cancellable)
| Tries to write count bytes from buffer into the stream.
bool | write_all (const std::string& buffer, gsize& bytes_written)
| Tries to write count bytes from buffer into the stream.
gssize | write_bytes (const Glib::RefPtr< const Glib::Bytes >& bytes, const Glib::RefPtr< Cancellable >& cancellable)
| Tries to write the data from bytes into the stream.
gssize | write_bytes (const Glib::RefPtr< const Glib::Bytes >& bytes)
| A write_bytes() convenience overload.
void | write_bytes_async (const Glib::RefPtr< const Glib::Bytes >& bytes, const SlotAsyncReady& slot, const Glib::RefPtr< Cancellable >& cancellable, int io_priority=Glib::PRIORITY_DEFAULT)
| Request an asynchronous write of the data in bytes to the stream.
void | write_bytes_async (const Glib::RefPtr< const Glib::Bytes >& bytes, const SlotAsyncReady& slot, int io_priority=Glib::PRIORITY_DEFAULT)
| Request an asynchronous write of the data in bytes to the stream.
gssize | write_bytes_finish (const Glib::RefPtr< AsyncResult >& result)
| Finishes a stream write-from-Bytes operation.
gssize | splice (const Glib::RefPtr< InputStream >& source, const Glib::RefPtr< Cancellable >& cancellable, OutputStreamSpliceFlags flags=OUTPUT_STREAM_SPLICE_NONE)
| Splices an input stream into an output stream.
gssize | splice (const Glib::RefPtr< InputStream >& source, OutputStreamSpliceFlags flags=OUTPUT_STREAM_SPLICE_NONE)
| Splices an input stream into an output stream.
bool | flush (const Glib::RefPtr< Cancellable >& cancellable)
| Flushed any outstanding buffers in the stream.
bool | flush ()
| A flush() convenience overload.
bool | close (const Glib::RefPtr< Cancellable >& cancellable)
| Closes the stream, releasing resources related to it.
bool | close ()
| A close() convenience overload.
void | write_async (const void* buffer, gsize count, const SlotAsyncReady& slot, const Glib::RefPtr< Cancellable >& cancellable, int io_priority=Glib::PRIORITY_DEFAULT)
| Request an asynchronous write of count bytes from buffer into the stream.
void | write_async (const void* buffer, gsize count, const SlotAsyncReady& slot, int io_priority=Glib::PRIORITY_DEFAULT)
| Request an asynchronous write of count bytes from buffer into the stream.
gssize | write_finish (const Glib::RefPtr< AsyncResult >& result)
| Finishes a stream write operation.
void | splice_async (const Glib::RefPtr< InputStream >& source, const SlotAsyncReady& slot, const Glib::RefPtr< Cancellable >& cancellable, OutputStreamSpliceFlags flags=OUTPUT_STREAM_SPLICE_NONE, int io_priority=Glib::PRIORITY_DEFAULT)
| Splices a stream asynchronously.
void | splice_async (const Glib::RefPtr< InputStream >& source, const SlotAsyncReady& slot, OutputStreamSpliceFlags flags=OUTPUT_STREAM_SPLICE_NONE, int io_priority=Glib::PRIORITY_DEFAULT)
| Splices a stream asynchronously.
gssize | splice_finish (const Glib::RefPtr< AsyncResult >& result)
| Finishes an asynchronous stream splice operation.
void | flush_async (const SlotAsyncReady& slot, const Glib::RefPtr< Cancellable >& cancellable, int io_priority=Glib::PRIORITY_DEFAULT)
| Flushes a stream asynchronously.
void | flush_async (const SlotAsyncReady& slot, int io_priority=Glib::PRIORITY_DEFAULT)
| Flushes a stream asynchronously.
bool | flush_finish (const Glib::RefPtr< AsyncResult >& result)
| Finishes flushing an output stream.
void | close_async (const SlotAsyncReady& slot, const Glib::RefPtr< Cancellable >& cancellable, int io_priority=Glib::PRIORITY_DEFAULT)
| Requests an asynchronous close of the stream, releasing resources related to it.
void | close_async (const SlotAsyncReady& slot, int io_priority=Glib::PRIORITY_DEFAULT)
| Requests an asynchronous close of the stream, releasing resources related to it.
bool | close_finish (const Glib::RefPtr< AsyncResult >& result)
| Closes an output stream.
Public Member Functions inherited from Glib::Object
void* | get_data (const QueryQuark& key)
void | set_data (const Quark& key, void* data)
void | set_data (const Quark& key, void* data, DestroyNotify notify)
void | remove_data (const QueryQuark& quark)
void* | steal_data (const QueryQuark& quark)
Public Member Functions inherited from Glib::ObjectBase
void | set_property_value (const Glib::ustring& property_name, const Glib::ValueBase& value)
| You probably want to use a specific property_*() accessor method instead.
void | get_property_value (const Glib::ustring& property_name, Glib::ValueBase& value) const
| You probably want to use a specific property_*() accessor method instead.
template<class PropertyType >
void | set_property (const Glib::ustring& property_name, const PropertyType& value)
| You probably want to use a specific property_*() accessor method instead.
template<class PropertyType >
void | get_property (const Glib::ustring& property_name, PropertyType& value) const
| You probably want to use a specific property_*() accessor method instead.
void | connect_property_changed (const Glib::ustring& property_name, const sigc::slot< void >& slot)
| You can use the signal_changed() signal of the property proxy instead, but this is necessary when using the reduced API.
sigc::connection | connect_property_changed_with_return (const Glib::ustring& property_name, const sigc::slot< void >& slot)
| You can use the signal_changed() signal of the property proxy instead, but this is necessary when using the reduced API.
void | freeze_notify ()
| Increases the freeze count on object.
void | thaw_notify ()
| Reverts the effect of a previous call to freeze_notify().
virtual void | reference () const
| Increment the reference count for this object.
virtual void | unreference () const
| Decrement the reference count for this object.
GObject* | gobj ()
| Provides access to the underlying C GObject.
const GObject* | gobj () const
| Provides access to the underlying C GObject.
GObject* | gobj_copy () const
| Give a ref-ed copy to someone. Use for direct struct access.
Public Member Functions inherited from sigc::trackable
| trackable (const trackable &src)
trackable & | operator= (const trackable &src)
void | add_destroy_notify_callback (void *data, func_destroy_notify func) const
void | remove_destroy_notify_callback (void *data) const
void | notify_callbacks ()
Public Member Functions inherited from Gio::PollableOutputStream
virtual | ~PollableOutputStream ()
GPollableOutputStream* | gobj ()
| Provides access to the underlying C GObject.
const GPollableOutputStream* | gobj () const
| Provides access to the underlying C GObject.
bool | can_poll () const
| Checks if stream is actually pollable.
bool | is_writable () const
| Checks if stream can be written.
gssize | write_nonblocking (const void* buffer, gsize count, const Glib::RefPtr< Cancellable >& cancellable)
| Attempts to write up to count bytes from buffer to stream, as with g_output_stream_write().
gssize | write_nonblocking (const void* buffer, gsize count)
| A write_nonblocking() convenience overload.
virtual bool | can_poll_vfunc () const
virtual bool | is_writable_vfunc () const
virtual gssize | write_nonblocking_vfunc (const void* buffer, gsize count)
Public Member Functions inherited from Glib::Interface
| Interface (const Glib::Interface_Class& interface_class)
| Called by constructors of derived classes.
| Interface (GObject* castitem)
| Called by constructors of derived classes.
virtual | ~Interface ()
GObject* | gobj ()
const GObject* | gobj () const

## Static Public Member Functions

static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
static Glib::RefPtr < ConverterOutputStream > | create (const Glib::RefPtr< OutputStream >& base_stream, const Glib::RefPtr< Converter >& converter)
| Creates a new converter output stream for the base_stream.
Static Public Member Functions inherited from Gio::FilterOutputStream
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
Static Public Member Functions inherited from Gio::OutputStream
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
Static Public Member Functions inherited from Gio::PollableOutputStream
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.

## Protected Member Functions

| ConverterOutputStream (const Glib::RefPtr< OutputStream >& base_stream, const Glib::RefPtr< Converter >& converter)
Protected Member Functions inherited from Gio::PollableOutputStream
| PollableOutputStream ()
| You should derive from this class to use it.

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr < Gio::ConverterOutputStream > | wrap (GConverterOutputStream* object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Functions inherited from Gio::FilterOutputStream
Glib::RefPtr < Gio::FilterOutputStream > | wrap (GFilterOutputStream* object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Functions inherited from Gio::OutputStream
Glib::RefPtr< Gio::OutputStream > | wrap (GOutputStream* object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Functions inherited from Glib::Object
Glib::RefPtr< Glib::Object > | wrap (GObject* object, bool take_copy=false)
Related Functions inherited from Gio::PollableOutputStream
Glib::RefPtr < Gio::PollableOutputStream > | wrap (GPollableOutputStream* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Additional Inherited Members

Public Types inherited from Glib::Object
typedef void(* | DestroyNotify )(gpointer data)
Public Types inherited from sigc::trackable
typedef internal::func_destroy_notify | func_destroy_notify

## Detailed Description

ConverterOutputstream - Converter Output Stream.

Converter output stream implements OutputStream and allows conversion of data of various types during reading. ConverterOutputStream also implements the PollableOutputStream interface.

Since glibmm 2.34:

## Constructor & Destructor Documentation

virtual Gio::ConverterOutputStream::~ConverterOutputStream | ( |  | ) |

virtual

Gio::ConverterOutputStream::ConverterOutputStream | ( | const Glib::RefPtr< OutputStream >& | base_stream,
|  | const Glib::RefPtr< Converter >& | converter
| ) |  |

explicit protected

## Member Function Documentation

static Glib::RefPtr<ConverterOutputStream> Gio::ConverterOutputStream::create | ( | const Glib::RefPtr< OutputStream >& | base_stream,
|  | const Glib::RefPtr< Converter >& | converter
| ) |  |

static

Creates a new converter output stream for the base_stream.

Parameters

  base_stream | A OutputStream.
  converter | A Converter.

Returns
  A new OutputStream.

Glib::RefPtr<Converter> Gio::ConverterOutputStream::get_converter | ( |  | ) |

Gets the Converter that is used by converter_stream.

Since glibmm 2.24:

Returns
  The converter of the converter output stream.

Glib::RefPtr<const Converter> Gio::ConverterOutputStream::get_converter | ( |  | ) | const

Gets the Converter that is used by converter_stream.

Since glibmm 2.24:

Returns
  The converter of the converter output stream.

static GType Gio::ConverterOutputStream::get_type | ( |  | ) |

static

Get the GType for this class, for use with the underlying GObject type system.

GConverterOutputStream* Gio::ConverterOutputStream::gobj | ( |  | ) |

inline

Provides access to the underlying C GObject.

const GConverterOutputStream* Gio::ConverterOutputStream::gobj | ( |  | ) | const

inline

Provides access to the underlying C GObject.

GConverterOutputStream* Gio::ConverterOutputStream::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<Converter> > Gio::ConverterOutputStream::property_converter | ( |  | ) | const

The converter object.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Glib::RefPtr< Gio::ConverterOutputStream > wrap | ( | GConverterOutputStream * | object,
|  | bool | take_copy = `false`
| ) |  |

related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.